

stages:
  - build

image: docker:latest

variables:
  netPI_A4A_Basis_Dev_Image_Tag: $CI_REGISTRY_IMAGE/netpi-a4a-basis-dev:latest
  netPI_A4A_Web_Dev_Image_Tag: $CI_REGISTRY_IMAGE/netpi-a4a-web-dev:latest
  DOCKER_TLS_CERTDIR: "/certs"

services:
  - docker:dind

before_script:
  - docker info

build_netPI_A4A_Dev_Images:
  stage: build
  script:
    - echo "the build_netPI_A4A_Dev_Images job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - cd ./docker/netPI/netpi-a4a-basis-dev
    - docker build --pull --tag=$netPI_A4A_Basis_Dev_Image_Tag .
    - docker push $netPI_A4A_Basis_Dev_Image_Tag
    - cd ..
    - cd ./netpi-a4a-web-dev
    - docker build --pull --tag=$netPI_A4A_Web_Dev_Image_Tag .
    - docker push $netPI_A4A_Web_Dev_Image_Tag

